apiVersion: argoproj.io/v1alpha1
kind: Application
metadata:
  name: kubehook
  namespace: argocd
  finalizers:
    - resources-finalizer.argocd.argoproj.io
  labels:
    app: kubehook
spec:
  syncPolicy:
    syncOptions:
      - CreateNamespace=true
    automated:
      prune: true
  project: default
  destination:
    name: in-cluster
    namespace: kubehook
  source:
    path: manifests
    repoURL: 'https://gitlab.com/sed-infra/apps/kubehook.git'
    targetRevision: HEAD
